org.vertx.java.core.http.impl.ws.hybi00

## Class WebSocketChallenge00

- java.lang.Object
- - org.vertx.java.core.http.impl.ws.hybi00.WebSocketChallenge00

    public class WebSocketChallenge00
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`WebSocketChallenge00()`

### Method Summary

Methods
`static long` `decodeKey(java.lang.String encoded)`
`static java.lang.String` `encodeKey(long baseKey, int spaces)`
`static int[]` `generateKey()`
`static byte[]` `generateKey3()`
`protected void` `generateKeys()`
`long` `getKey1()`
`java.lang.String` `getKey1String()`
`long` `getKey2()`
`java.lang.String` `getKey2String()`
`byte[]` `getKey3()`
`int` `getSpaces1()`
`int` `getSpaces2()`
`static byte[]` `solve(long key1, long key2, byte[] key3)`
`static byte[]` `solve(java.lang.String encodedKey1, java.lang.String encodedKey2, byte[] key3)`
`boolean` `verify(byte[] response)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebSocketChallenge00

    public WebSocketChallenge00()
                         throws java.security.NoSuchAlgorithmException

Throws:
  `java.security.NoSuchAlgorithmException`

### Method Detail

#### getKey1

    public long getKey1()

#### getSpaces1

    public int getSpaces1()

#### getKey1String

    public java.lang.String getKey1String()

#### getKey2

    public long getKey2()

#### getSpaces2

    public int getSpaces2()

#### getKey2String

    public java.lang.String getKey2String()

#### getKey3

    public byte[] getKey3()

#### generateKeys

    protected void generateKeys()

#### solve

    public static byte[] solve(java.lang.String encodedKey1,
               java.lang.String encodedKey2,
               byte[] key3)
                        throws java.security.NoSuchAlgorithmException

Throws:
  `java.security.NoSuchAlgorithmException`

#### solve

    public static byte[] solve(long key1,
               long key2,
               byte[] key3)
                        throws java.security.NoSuchAlgorithmException

Throws:
  `java.security.NoSuchAlgorithmException`

#### verify

    public boolean verify(byte[] response)
                   throws java.security.NoSuchAlgorithmException

Throws:
  `java.security.NoSuchAlgorithmException`

#### encodeKey

    public static java.lang.String encodeKey(long baseKey,
                             int spaces)

#### decodeKey

    public static long decodeKey(java.lang.String encoded)

#### generateKey

    public static int[] generateKey()

#### generateKey3

    public static byte[] generateKey3()